Subject: pine sleeps

From: Jauder Ho <[email-masked]>
Date: Tue, 3 Nov 1998 16:53:34 -0800 (PST)

My coworker has been complaining that pine sometime "goes to sleep" when
he's trying to read mail. Has anyone else experienced this? His inboxes
sit on an imap server with the mbx folder format. This is pine 4.05...
Any ideas on this one? I have no idea why this would be happening

Does anyone have an eta on when the next version of pine is due?

--Jauder

---------- Forwarded message ----------
Date: Tue, 3 Nov 1998 16:47:01 -0800 (PST)
From: Jim Trocki <[email-masked]>
To: Jauder Ho <[email-masked]>
Subject: pine sleeps mutherfucker

I GOT IT THIS TIME:::

I hit "c" to compose a message and it hung for 15 seconds or so. I got an
strace of it:

: calcium /htdocs/mis/support$; strace -p 18771
--- SIGALRM (Alarm clock) ---
sigreturn()                             = ? (mask now [ALRM])
time(NULL)                              = 910140339
sigaction(SIGALRM, {0x812a508, [], SA_RESTART}, NULL) = 0
alarm(0)                                = 0
sigprocmask(SIG_SETMASK, [], NULL)      = 0
write(1, "\33[26;37H\33[7m [\33[m\33[26;60"..., 41) = 41
time(NULL)                              = 910140339
time(NULL)                              = 910140339
write(1, "\33[26;37H\33[7m[>\33[m\33[26;60"..., 41) = 41
sigprocmask(SIG_BLOCK, [ALRM], [])      = 0
sigaction(SIGALRM, {0x40078ef0, [], 0}, {0x812a508, [], SA_RESTART}) = 0
time(NULL)                              = 910140339
alarm(3)                                = 0
sigsuspend([] <unfinished ...>
--- SIGALRM (Alarm clock) ---
<... sigsuspend resumed> )              = -1 EINTR (Interrupted system call)
sigreturn()                             = ? (mask now [ALRM])
time(NULL)                              = 910140342
sigaction(SIGALRM, {0x812a508, [], SA_RESTART}, NULL) = 0
alarm(0)                                = 0
sigprocmask(SIG_SETMASK, [], NULL)      = 0
write(1, "\33[26;37H\33[7m [\33[m\33[26;60"..., 41) = 41
time(NULL)                              = 910140342
time(NULL)                              = 910140342
write(1, "\33[26;37H\33[7m[>\33[m\33[26;60"..., 41) = 41
sigprocmask(SIG_BLOCK, [ALRM], [])      = 0
sigaction(SIGALRM, {0x40078ef0, [], 0}, {0x812a508, [], SA_RESTART}) = 0
time(NULL)                              = 910140342
alarm(3)                                = 0
sigsuspend([] <unfinished ...>
--- SIGALRM (Alarm clock) ---
<... sigsuspend resumed> )              = -1 EINTR (Interrupted system call)
sigreturn()                             = ? (mask now [ALRM])
time(NULL)                              = 910140345
sigaction(SIGALRM, {0x812a508, [], SA_RESTART}, NULL) = 0
alarm(0)                                = 0
sigprocmask(SIG_SETMASK, [], NULL)      = 0
write(1, "\33[26;37H\33[7m [\33[m\33[26;60"..., 41) = 41
time(NULL)                              = 910140345
time(NULL)                              = 910140345
write(1, "\33[26;37H\33[7m[>\33[m\33[26;60"..., 41) = 41
sigprocmask(SIG_BLOCK, [ALRM], [])      = 0
sigaction(SIGALRM, {0x40078ef0, [], 0}, {0x812a508, [], SA_RESTART}) = 0
time(NULL)                              = 910140345
alarm(3)                                = 0
sigsuspend([] <unfinished ...>
--- SIGALRM (Alarm clock) ---
<... sigsuspend resumed> )              = -1 EINTR (Interrupted system call)
sigreturn()                             = ? (mask now [ALRM])
time(NULL)                              = 910140348
sigaction(SIGALRM, {0x812a508, [], SA_RESTART}, NULL) = 0
alarm(0)                                = 0
sigprocmask(SIG_SETMASK, [], NULL)      = 0
write(1, "\33[26;37H\33[7m [\33[m\33[26;60"..., 41) = 41
time(NULL)                              = 910140348
time(NULL)                              = 910140348
write(1, "\33[26;37H\33[7m[>\33[m\33[26;60"..., 41) = 41
sigprocmask(SIG_BLOCK, [ALRM], [])      = 0
sigaction(SIGALRM, {0x40078ef0, [], 0}, {0x812a508, [], SA_RESTART}) = 0
time(NULL)                              = 910140348
alarm(3)                                = 0
sigsuspend([] <unfinished ...>
--- SIGALRM (Alarm clock) ---
<... sigsuspend resumed> )              = -1 EINTR (Interrupted system call)
sigreturn()                             = ? (mask now [ALRM])
time(NULL)                              = 910140351
sigaction(SIGALRM, {0x812a508, [], SA_RESTART}, NULL) = 0
alarm(0)                                = 0
sigprocmask(SIG_SETMASK, [], NULL)      = 0
write(1, "\33[26;37H\33[7m [\33[m\33[26;60"..., 41) = 41
time(NULL)                              = 910140351
time(NULL)                              = 910140351
write(1, "\33[26;37H\33[7m[>\33[m\33[26;60"..., 41) = 41
sigprocmask(SIG_BLOCK, [ALRM], [])      = 0
sigaction(SIGALRM, {0x40078ef0, [], 0}, {0x812a508, [], SA_RESTART}) = 0
time(NULL)                              = 910140351
alarm(3)                                = 0
sigsuspend([] <unfinished ...>
--- SIGALRM (Alarm clock) ---
<... sigsuspend resumed> )              = -1 EINTR (Interrupted system call)
sigreturn()                             = ? (mask now [ALRM])
time(NULL)                              = 910140354
sigaction(SIGALRM, {0x812a508, [], SA_RESTART}, NULL) = 0
alarm(0)                                = 0
sigprocmask(SIG_SETMASK, [], NULL)      = 0
write(1, "\33[26;37H\33[7m [\33[m\33[26;60"..., 41) = 41
time(NULL)                              = 910140354
ioctl(0, TIOCGWINSZ, {ws_row=28, ws_col=98, ws_xpixel=592, ws_ypixel=368}) = 0
sigaction(SIGWINCH, {0x815dcb4, [], SA_RESTART}, {0x8129eb4, [], SA_RESTART}) = 0
sigaction(SIGHUP, {0x815bd40, [], SA_RESTART}, {0x8129a1c, [], SA_RESTART}) = 0
sigaction(SIGTERM, {0x815bd40, [], SA_RESTART}, {0x8129b54, [], SA_RESTART}) = 0
sigaction(SIGTSTP, {SIG_DFL}, {SIG_IGN}) = 0
sigaction(SIGWINCH, {0x815dcb4, [], SA_RESTART}, {0x815dcb4, [], SA_RESTART}) = 0
getpid()                                = 18771
unlink("/home/trockij/#pico18771#")     = -1 ENOENT (No such file or directory)
write(1, "\33[27;1H\33[7m^\33[m\33[7mG\33["..., 190) = 190
write(1, "\33[28;1H\33[7m^\33[m\33[7mC\33["..., 190) = 190
ioctl(1, TIOCGWINSZ, {ws_row=28, ws_col=98, ws_xpixel=592, ws_ypixel=368}) = 0
sigaction(SIGWINCH, {0x8129eb4, [], SA_RESTART}, {0x815dcb4, [], SA_RESTART}) = 0
time(NULL)                              = 910140354
write(1, "\33[1;1H\33[7m  PINE 4.05   COMP"..., 532) = 532
ioctl(0, TIOCGWINSZ, {ws_row=28, ws_col=98, ws_xpixel=592, ws_ypixel=368}) = 0
sigaction(SIGWINCH, {0x815dcb4, [], SA_RESTART}, {0x8129eb4, [], SA_RESTART}) = 0
sigaction(SIGHUP, {0x815bd40, [], SA_RESTART}, {0x815bd40, [], SA_RESTART}) = 0
sigaction(SIGTERM, {0x815bd40, [], SA_RESTART}, {0x815bd40, [], SA_RESTART}) = 0
sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}) = 0
sigaction(SIGWINCH, {0x815dcb4, [], SA_RESTART}, {0x815dcb4, [], SA_RESTART}) = 0
write(1, "\33[8;1H\33[27;1H\33[7m^\33[m\33"..., 196) = 196
write(1, "\33[28;1H\33[7m^\33[m\33[7mC\33["..., 190) = 190
write(1, "\33[8;1H", 6)                 = 6
write(1, "\33[7;1H----- Message Text -----"..., 169) = 169
write(1, "\33[28;18H\33[7mD\33[m Del Char "..., 153) = 153
write(1, "\33[3;11H", 7)                = 7
oldselect(1, [0], NULL, [0], {60, 0} <unfinished ...>